### Enumeration

# Notify ClosedReason

since: 0.8.0

#### Declaration

    enum Notify.ClosedReason

#### Description [src]

The reason for which the notification has been closed.

Available since: 0.8.0

#### Members

Name | Description
--- | ---
`NOTIFY_CLOSED_REASON_UNSET` | Notification not closed.
`NOTIFY_CLOSED_REASON_EXPIRED` | Timeout has expired.
`NOTIFY_CLOSED_REASON_DISMISSED` | It has been dismissed by the user.
`NOTIFY_CLOSED_REASON_API_REQUEST` | It has been closed by a call to `notify_notification_close()`.
`NOTIFY_CLOSED_REASON_UNDEFIEND` | Closed by undefined/reserved reasons.